WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

IP2Currency

Display price in visitor's origin currency.

The IP2Currency plugin allows visitor to view the currency value on the your blogsite in their localize currency (homeland currency). There are no programming works involved, but a single shortcode is all you need to produce the result. And, the best part was the result will be automatically determined by our server based on the origin of the visitors.

Why I need this? Assuming that you are writing a traveling blog with food priced in SGD, a visitor from United States may find it difficult to estimate the perceived amount in USD while reading your blog. Unless they check the exchange rate from website and make the conversion themselves. Hence, wouldn't be nice if you can have a special note displaying the value in their local currency? For example,

Noodle S$5.00 (approx. $3.90) Satay S$10.00 (approx. $7.90)

As mentioned above, it requires no programming to get it work. You just need to insert the shortcode as followed inside your POST.

Noodle S$5.00 (approx. [ip2currency base="USD" value="5.00"]) Satay S$10.00 (approx. [ip2currency base="USD" value="10.00"])

Furthermore, the result is dynamic. A visitor from China will see the value in CNY, while the visitor from Canada will see the value in CAD. No hassle from you.

Key Features: - Automatically determine the origin of visitors by using the geo technology (powered by IP2Location.com) - Automatically determine the commonly used local currency. - Autmatically return converted amount using the latest exchange rate. - The exchange rate was getting from a reliable data source and was daily updated. - Ability to support multiple base currency. - Displayed the currency symbol of the converted value.

For more information, please visit http://www.ip2currency.com

Requires: 2.0.0 or higher
Compatible up to: 3.3.2
Last Updated: 2012-3-21
Downloads: 450

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.